package routers

import (
	"ERP_ams/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/Overtime",
		beego.NSRouter("/List", &controllers.OvertimeController{}, "*:Overtime_List"),           // 管理员审核列表
		beego.NSRouter("/User_list", &controllers.OvertimeController{}, "*:Overtime_User_List"), // 用户列表
		beego.NSRouter("/Add", &controllers.OvertimeController{}, "*:Overtime_Add"),             // 添加加班
		beego.NSRouter("/Edit", &controllers.OvertimeController{}, "*:Overtime_Update"),         // 修改加班
		beego.NSRouter("/Approval", &controllers.OvertimeController{}, "*:Overtime_Approval"),   // 加班审批
		beego.NSRouter("/Del", &controllers.OvertimeController{}, "*:Overtime_Del"),             // 删除加班
		beego.NSRouter("/Stat", &controllers.OvertimeController{}, "*:Overtime_Stat"),           // 加班统计
	)

	beego.AddNamespace(ns)
}
